/v2/providers/rg_open_api/apis/api/v1/vendors/{vendorId}/rg/orders2609170000RG Order API(List Query)
Summary
RG Order API(List Query)
Details
Available buyer market: Korean
The Korea Domestic Rocket Warehouse Order API (Rocket Growth Order API) allows you to programmatically retrieve order information. This API enables you to develop fast, flexible, and customized applications in areas such as order synchronization, order analysis, and demand-driven decision support tools. The Order API supports orders placed after the release date.
Note: This API is limited to 50 calls per minute.
Path
Example endpoint
https://api-gateway.coupang.com/v2/providers/rg_open_api/apis/api/v1/vendors/{vendorId}/rg/ordersPath parameters
| Name | Type | Description |
|---|---|---|
| vendorId* | string | Vendor ID
|
Query parameters
| Name | Type | Description |
|---|---|---|
| paidDateFrom* | string | Paid Date From (YYYYMMDD)
|
| paidDateTo* | string | Paid Date To (YYYYMMDD, maximum 30 days)
|
| nextToken | string | Token to fetch next page of results
|
Response body
Response message
| Name | Type | Description |
|---|---|---|
| code | integer | Server response code
|
| message | string | Server response message
|
| data | object[] | Result list. An empty list is returned when there are no results.
|
| vendorId data[].vendorId | string | Seller ID
|
| orderId data[].orderId | integer | Order number
|
| paidAt data[].paidAt | integer | Payment date and time (timestamp)
|
| orderItems data[].orderItems | object[] | Order information list
|
| vendorItemId data[].orderItems[].vendorItemId | integer | Option ID
|
| productName data[].orderItems[].productName | string | Product name
|
| salesQuantity data[].orderItems[].salesQuantity | integer | Product sales quantity
|
| unitSalesPrice data[].orderItems[].unitSalesPrice | string | Unit sales price of the product
|
| currency data[].orderItems[].currency | string | Currency of the sales price
|
| nextToken | string | Token to fetch the next page of results
|
Response Example
{
"code": 200,
"message": "SUCCESS",
"data": [
{
"vendorId": "A00123456",
"orderId": 70000000000,
"paidAt": 1746093162000,
"orderItems": [
{
"vendorItemId": 0,
"productName": "Nike running shoe size 7",
"salesQuantity": 1,
"unitSalesPrice": "27800",
"currency": "KRW"
}
]
},
{
"vendorId": "A00123456",
"orderId": 70000000001,
"paidAt": 1746093162000,
"orderItems": [
{
"vendorItemId": 0,
"productName": "Nike running shoe size 8",
"salesQuantity": 2,
"unitSalesPrice": "24900",
"currency": "KRW"
}
]
}
],
"nextToken": "17189443970001139254740404666368"
}Error codes
| HTTP | Code | Message |
|---|---|---|
| 400 | HTTP_400 | Bad Request |
Error specification
| HTTP | Type | Error message | Solution |
|---|---|---|---|
| 400 | 400 (Check Request Parameters) | The request is missing parameters or contains invalid parameters and cannot be parsed. | Please provide the corresponding parameters. |
| 400 | 400 (Check Request Parameters) | Invalid order number. | Please verify that the order number you entered is correct. |
| 400 | 400 (Check Request Parameters) | Unable to query orders from other sellers. | Please verify that the seller ID ( |